<ng-container *appVar="(items$ | async) as items">
  <app-page title="История операций"
            [showBackButton]="true"
            (backButtonClicked)="handleBackButtonClick()"
  >
    <mat-list class="account-container">
      <mat-list-item *ngFor="let item of items">
        <mat-icon mat-list-icon
                  class="currency-icon"
        >
          {{currencyIconsMap[item.currency]}}
        </mat-icon>

        <div mat-line
             class="account-first-line">
        <span class="account-currency">
          {{currencyTitlesNameMap[item.currency]}}
        </span>

          <span [class.success]="item.type === OrderHistoryOperationType.Deposit || item.type === OrderHistoryOperationType.Sell"
                class="account-balance sub-title">
          {{ coerceOperationTypeToAmountSign(item.type) }}
            {{ item.amount | appCurrency: item.currency }}
        </span>
        </div>

        <div mat-line
             class="account-number"
        >
          {{coerceOperationTypeToString(item.type)}}
        </div>
      </mat-list-item>
    </mat-list>
  </app-page>

</ng-container>
